-- Tests for borderbasis.cpkg
-------------------------------
Package $apcocoa/ts/borderbasis

Define Initialize()
EndDefine;


--BBasis communication test
Define TestBB01()

TestRing::=QQ[x,y,z],DegRevLex;

Using TestRing Do

  I := Ideal([x^2,y^2,z^2]);
  Result := BB.BBasis(I);
  Expected:=[z^2, y^2, x^2, yz^2, xz^2, y^2z, x^2z, xy^2, x^2y, xyz^2, xy^2z, x^2yz];
  $apcocoa/ts/assert.AssertEqualsExact(Result, Expected, "Wrong BorderBasis!");

EndUsing;

EndDefine;


EndPackage;
